% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/resourcegroupstaggingapi_operations.R
\name{resourcegroupstaggingapi_tag_resources}
\alias{resourcegroupstaggingapi_tag_resources}
\title{Applies one or more tags to the specified resources}
\usage{
resourcegroupstaggingapi_tag_resources(ResourceARNList, Tags)
}
\arguments{
\item{ResourceARNList}{[required] Specifies the list of ARNs of the resources that you want to apply tags
to.

An ARN (Amazon Resource Name) uniquely identifies a resource. For more
information, see \href{https://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html}{Amazon Resource Names (ARNs) and Amazon Web Services Service Namespaces}
in the \emph{Amazon Web Services General Reference}.}

\item{Tags}{[required] Specifies a list of tags that you want to add to the specified
resources. A tag consists of a key and a value that you define.}
}
\description{
Applies one or more tags to the specified resources. Note the following:

See \url{https://paws-r.github.io/docs/resourcegroupstaggingapi/tag_resources.html} for full documentation.
}
\keyword{internal}
